Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.DocType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class DocType extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DocType.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DocType.Builder`
  `builder()`
  `String`
  `getComment()`
  `DocumentType`
  `getDocumentType()`
  `int`
  `getNpid()`
  `String`
  `getPattern()`
  `Set<Integer>`
  `getPositionList()`
  `Preferences`
  `getSetup()`
  `String`
  `getSetupString()`
  `String`
  `getStringType()`
  `Set<Integer>`
  `getXmlContractConsist()`
  `Set<Integer>`
  `getXmlModulesConsist()`
  `Set<Integer>`
  `getXmlPluginsConsist()`
  `final boolean`
  `isCreateWhenLessOrEqZero()`
  `boolean`
  `isCreateWhenStronglyLessZero()`
  `boolean`
  `isNSubContractPositions()`
  `boolean`
  `isSubContractPositions()`
  `void`
  `setComment(String comment)`
  `final void`
  `setCreateWhenLessOrEqZero(boolean createWhenZero)`
  `void`
  `setCreateWhenStronglyLessZero(boolean createWhenStronglyLessZero)`
  `void`
  `setDocumentType(DocumentType documentType)`
  `void`
  `setNpid(int npid)`
  `void`
  `setNSubContractPositions(boolean nsubContractPositions)`
  `void`
  `setPattern(String pattern)`
  `void`
  `setPositionList(Set<Integer> positions)`
  `void`
  `setSetupString(String setupString)`
  `void`
  `setSubContractPositions(boolean subContractPositions)`
  `void`
  `setXmlContractConsist(Set<Integer> xmlContractConsist)`
  `void`
  `setXmlModulesConsist(Set<Integer> xmlModulesConsist)`
  `void`
  `setXmlPluginsConsist(Set<Integer> xmlPluginsConsist)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DocType

    public DocType()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getDocumentType

    public DocumentType getDocumentType()

  - ### getNpid

    public int getNpid()

  - ### getPattern

    public String getPattern()

  - ### getPositionList

    public Set<Integer> getPositionList()

  - ### getSetup

    public Preferences getSetup()

  - ### getSetupString

    public String getSetupString()

  - ### getStringType

    public String getStringType()

  - ### getXmlContractConsist

    public Set<Integer> getXmlContractConsist()

  - ### getXmlModulesConsist

    public Set<Integer> getXmlModulesConsist()

  - ### getXmlPluginsConsist

    public Set<Integer> getXmlPluginsConsist()

  - ### isCreateWhenLessOrEqZero

    public final boolean isCreateWhenLessOrEqZero()

  - ### isCreateWhenStronglyLessZero

    public boolean isCreateWhenStronglyLessZero()

  - ### isNSubContractPositions

    public boolean isNSubContractPositions()

  - ### isSubContractPositions

    public boolean isSubContractPositions()

  - ### setComment

    public void setComment(String comment)

  - ### setCreateWhenLessOrEqZero

    public final void setCreateWhenLessOrEqZero(boolean createWhenZero)

  - ### setCreateWhenStronglyLessZero

    public void setCreateWhenStronglyLessZero(boolean createWhenStronglyLessZero)

  - ### setDocumentType

    public void setDocumentType(DocumentType documentType)

  - ### setNpid

    public void setNpid(int npid)

  - ### setNSubContractPositions

    public void setNSubContractPositions(boolean nsubContractPositions)

  - ### setPattern

    public void setPattern(String pattern)

  - ### setPositionList

    public void setPositionList(Set<Integer> positions)

  - ### setSetupString

    public void setSetupString(String setupString)

  - ### setSubContractPositions

    public void setSubContractPositions(boolean subContractPositions)

  - ### setXmlContractConsist

    public void setXmlContractConsist(Set<Integer> xmlContractConsist)

  - ### setXmlModulesConsist

    public void setXmlModulesConsist(Set<Integer> xmlModulesConsist)

  - ### setXmlPluginsConsist

    public void setXmlPluginsConsist(Set<Integer> xmlPluginsConsist)

  - ### builder

    public static DocType.Builder builder()